Subject: Re: bug#1540: emacsclient -t fails under su

From: Stefan Monnier <[email-masked]>
Date: Fri, 12 Dec 2008 14:02:31 -0500

> emacs tries to open the tty of the emacsclient process, which 
> ttyname (fileno (stdout)) says it's /dev/pts/12
> /dev/pts/12 is owned by user1, and user2 has no access to it

Indeed.  You can make it work by letting user2 create another pts for
Emacs to use and then transfer back&forth the commands on one pts to
the other.  E.g. user2 runs scren and then emacsclient -t in screen.
Or user2 does "ssh localhost" and then runs emacsclient -t in that
ssh session.  Or ...